package com.unis.base.server.domain;


import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.unis.base.common.vo.TyJhxxzbVO;
import com.unis.base.server.dao.TyJhxxzbDao;
import com.unis.base.server.entity.TyJhxxzbDO;
import com.unis.common.utils.LsBeanUtils;

import org.springframework.stereotype.Component;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyJhxxzbDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TyJhxxzbDomain extends BaseDomain {

	@Autowired
	private TyJhxxzbDao tyJhxxzbMapper;

	/**
	 *
	 * @param TyJhxxzbVO
	 * @return
	 */
	public List<TyJhxxzbVO> getTyJhxxzbList(TyJhxxzbVO tyJhxxzbVO) {
		TyJhxxzbDO tyJhxxzbDO = new TyJhxxzbDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tyJhxxzbVO, tyJhxxzbDO);
		List<TyJhxxzbVO> TyJhxxzbVOList = new ArrayList<TyJhxxzbVO>();

		for (TyJhxxzbDO tyJhxxzbDOs : tyJhxxzbMapper.selectAlls(tyJhxxzbDO)) {
			LsBeanUtils.copyAllProperties(tyJhxxzbDOs,tyJhxxzbVO);
			TyJhxxzbVOList.add(tyJhxxzbVO);
		}
		return TyJhxxzbVOList;
	}

	/**
	 *
	 * @param TyJhxxzbVO
	 * @return
	 */
	public int insert(TyJhxxzbVO tyJhxxzbVO) {
		//进行传递参数copy
		TyJhxxzbDO tyJhxxzbDO = new TyJhxxzbDO();
		LsBeanUtils.copyAllProperties(tyJhxxzbVO,tyJhxxzbDO);
		return tyJhxxzbMapper.insert(tyJhxxzbDO);
	}

	/**
	 *
	 * @param jsid
	 * @return
	 */
	public TyJhxxzbVO getTyJhxxzbById(String jsid) {
		TyJhxxzbVO TyJhxxzbVO = new TyJhxxzbVO();
		LsBeanUtils.copyAllProperties(tyJhxxzbMapper.selectByKey(jsid), TyJhxxzbVO);
		return TyJhxxzbVO;
	}

	/**
	 *
	 * @param TyJhxxzbVO
	 * @return
	 */
	public int update(TyJhxxzbVO tyJhxxzbVO) {
		//进行传递参数copy
		TyJhxxzbDO tyJhxxzbDO = new TyJhxxzbDO();
		LsBeanUtils.copyAllProperties(tyJhxxzbVO,tyJhxxzbDO);
		return tyJhxxzbMapper.updateByPrimaryKey(tyJhxxzbDO);
	}

}
